<div style="height: 80vh;">
  <mat-toolbar color="primary">
    <mat-toolbar-row>
      <button mat-icon-button (click)="sidenav.toggle()" fxShow="true" fxHide.gt-sm>
        <mat-icon>menu</mat-icon>
      </button>
      <span>        <a href="/" mat-button>Developper Blog</a>
      </span>
      <span class="menu-spacer"></span>
      <div fxShow="true" fxHide.lt-md>
        <!-- The following menu items will be hidden on both SM and XS screen sizes -->
        <a href="#" mat-button>About</a>
        <a href="#" mat-button>Contact</a>
        <a href="/blog" mat-button>Blog</a>
        <a href="/admin" mat-button>Admin</a>
        <a href="/auth" mat-button>Login</a>
      </div>
    </mat-toolbar-row>
  </mat-toolbar>

  <mat-sidenav-container fxFlexFill>
    <mat-sidenav #sidenav>
      <mat-nav-list>
        <a (click)="sidenav.toggle()" href="" mat-list-item>X</a>
        <a href="#" mat-list-item>About</a>
        <a href="#" mat-list-item>Contact</a>
        <a href="/blog" mat-list-item>Blog</a>
        <a href="/admin" mat-list-item>Admin</a>
        <a href="/auth" mat-list-item>Login</a>
      </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content fxFlexFill>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>

